Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.inspect.swingui
[Groovy] Class GeneratedBytecodeAwareGroovyClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  groovy.lang.GroovyClassLoader
                      groovy.inspect.swingui.GeneratedBytecodeAwareGroovyClassLoader

    class GeneratedBytecodeAwareGroovyClassLoader
    extends GroovyClassLoader

Field Summary

Fields inherited from class GroovyClassLoader
classCache, sourceCache

Constructor Summary
`GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)`

Method Summary
`void` | `clearBytecodeTable()`
`protected ClassCollector` | `createCollector(CompilationUnit unit, SourceUnit su)`
`byte[]` | `getBytecode(java.lang.String className)`

Methods inherited from class GroovyClassLoader
addClasspath, addURL, clearCache, createCollector, createCompilationUnit, defineClass, defineClass, generateScriptName, getClassCacheEntry, getClassPath, getLoadedClasses, getPermissions, getResourceLoader, getTimeStamp, isRecompilable, isShouldRecompile, isSourceNewer, loadClass, loadClass, loadClass, loadClass, parseClass, parseClass, parseClass, parseClass, parseClass, parseClass, recompile, removeClassCacheEntry, setClassCacheEntry, setResourceLoader, setShouldRecompile

Methods inherited from class java.net.URLClassLoader
java.net.URLClassLoader#findResource(java.lang.String), java.net.URLClassLoader#findResources(java.lang.String), java.net.URLClassLoader#newInstance([Ljava.net.URL;, java.lang.ClassLoader), java.net.URLClassLoader#newInstance([Ljava.net.URL;), java.net.URLClassLoader#getResourceAsStream(java.lang.String), java.net.URLClassLoader#close(), java.net.URLClassLoader#getURLs(), java.net.URLClassLoader#loadClass(java.lang.String), java.net.URLClassLoader#getSystemClassLoader(), java.net.URLClassLoader#getResources(java.lang.String), java.net.URLClassLoader#getSystemResources(java.lang.String), java.net.URLClassLoader#getParent(), java.net.URLClassLoader#setDefaultAssertionStatus(boolean), java.net.URLClassLoader#setPackageAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#setClassAssertionStatus(java.lang.String, boolean), java.net.URLClassLoader#clearAssertionStatus(), java.net.URLClassLoader#getResource(java.lang.String), java.net.URLClassLoader#getSystemResourceAsStream(java.lang.String), java.net.URLClassLoader#getSystemResource(java.lang.String), java.net.URLClassLoader#wait(long), java.net.URLClassLoader#wait(long, int), java.net.URLClassLoader#wait(), java.net.URLClassLoader#equals(java.lang.Object), java.net.URLClassLoader#toString(), java.net.URLClassLoader#hashCode(), java.net.URLClassLoader#getClass(), java.net.URLClassLoader#notify(), java.net.URLClassLoader#notifyAll()

Constructor Detail

### GeneratedBytecodeAwareGroovyClassLoader

    GeneratedBytecodeAwareGroovyClassLoader(GroovyClassLoader parent)

Method Detail

### clearBytecodeTable

    void clearBytecodeTable()

### createCollector

    @Override
    protected ClassCollector createCollector(CompilationUnit unit, SourceUnit su)

### getBytecode

    byte[] getBytecode(java.lang.String className)

Groovy Documentation